function A=d1y(theta)
# This is a spin-1 spinor rotation matrix about the y-axis.
# Positive theta should corrspond to a left-handed rotation about +yhat.
  sosq2=sin(theta)/sqrt(2.);
  c=cos(theta);
  A=[(1+c)/2.,sosq2,(1-c)/2.;-sosq2,c,sosq2;(1-c)/2.,-sosq2,(1+c)/2.];
end;
