function A = solenoid(rig, l, B, gam)
  A = zeros(6,6);
  r = rig/B;
  phi = l/r;
  c = cos(phi);
  s = sin(phi);
  a11 = (1+c)/2;
  a12 = r*s;
  a13 = s/2;
  a14 = r*(1-c);
  a21 = -s/4/r;
  a23 = -(1-c)/4/r;
  a56 = l/gam**2;
  A = [a11, a12, a13, a14, 0, 0;
       a21, a11, a23, a13, 0, 0;
       -a13, -a14, a11, a12, 0, 0;
       -a23, -a13, a21, a11, 0, 0;
	  0, 0, 0, 0, 1, a56;
	  0, 0, 0, 0, 0, 1;
  ];
endfunction
